## ros-foxy-jackal-navigation 1.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(jackal_navigation)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(nav2_bringup REQUIRED)
find_package(slam_toolbox REQUIRED)


install(DIRECTORY config launch maps
  DESTINATION share/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-foxy-jackal-navigation (1.0.4-1focal) focal; urgency=high



 -- rkreinin <rkreinin@clearpathrobotics.com>  Thu, 20 Apr 2023 04:00:00 -0000

ros-foxy-jackal-navigation (1.0.3-1focal) focal; urgency=high



 -- rkreinin <rkreinin@clearpathrobotics.com>  Wed, 08 Feb 2023 05:00:00 -0000

ros-foxy-jackal-navigation (1.0.2-1focal) focal; urgency=high



 -- rkreinin <rkreinin@clearpathrobotics.com>  Thu, 02 Feb 2023 05:00:00 -0000

ros-foxy-jackal-navigation (1.0.1-1focal) focal; urgency=high



 -- rkreinin <rkreinin@clearpathrobotics.com>  Fri, 14 Oct 2022 04:00:00 -0000

ros-foxy-jackal-navigation (1.0.0-1focal) focal; urgency=high

  * Use Substitions for launch files
    Added back CHANGELOG.rst
  * Linter fixes
  * Fixed imu filter node name
    Updated scan topic to use /front/scan by default
  * Added Nav2 and slam_toolbox to jackal_navigation
  * ROS 2 Port
  * Contributors: David V. Lu, Roni Kreinin

 -- rkreinin <rkreinin@clearpathrobotics.com>  Tue, 27 Sep 2022 04:00:00 -0000

ros-foxy-jackal-navigation (0.8.5-1focal) focal; urgency=high



 -- rkreinin <rkreinin@clearpathrobotics.com>  Tue, 17 May 2022 04:00:00 -0000

ros-foxy-jackal-navigation (0.8.4-1focal) focal; urgency=high



 -- rkreinin <rkreinin@clearpathrobotics.com>  Mon, 09 May 2022 04:00:00 -0000

ros-foxy-jackal-navigation (0.8.3-1focal) focal; urgency=high



 -- rkreinin <rkreinin@clearpathrobotics.com>  Tue, 08 Mar 2022 05:00:00 -0000

ros-foxy-jackal-navigation (0.8.2-1focal) focal; urgency=high



 -- rkreinin <rkreinin@clearpathrobotics.com>  Tue, 15 Feb 2022 05:00:00 -0000

ros-foxy-jackal-navigation (0.8.1-1focal) focal; urgency=high



 -- rkreinin <rkreinin@clearpathrobotics.com>  Tue, 18 Jan 2022 05:00:00 -0000

ros-foxy-jackal-navigation (0.8.0-1focal) focal; urgency=high



 -- rkreinin <rkreinin@clearpathrobotics.com>  Fri, 23 Apr 2021 04:00:00 -0000

ros-foxy-jackal-navigation (0.7.5-1focal) focal; urgency=high



 -- rkreinin <rkreinin@clearpathrobotics.com>  Wed, 24 Mar 2021 04:00:00 -0000

ros-foxy-jackal-navigation (0.7.4-1focal) focal; urgency=high

  * Bumped CMake version to avoid author warning.
  * Contributors: Tony Baltovski

 -- rkreinin <rkreinin@clearpathrobotics.com>  Tue, 16 Mar 2021 04:00:00 -0000

ros-foxy-jackal-navigation (0.7.3-1focal) focal; urgency=high



 -- rkreinin <rkreinin@clearpathrobotics.com>  Mon, 08 Mar 2021 05:00:00 -0000

ros-foxy-jackal-navigation (0.7.2-1focal) focal; urgency=high

  * Use the JACKAL_LASER_TOPIC env var as the default for the scan topic in amcl + gmapping demos (#74 <https://github.com/jackal/jackal/issues/74>)
  * Contributors: Chris I-B

 -- rkreinin <rkreinin@clearpathrobotics.com>  Tue, 29 Sep 2020 04:00:00 -0000

ros-foxy-jackal-navigation (0.7.1-1focal) focal; urgency=high

  * Remove the leading / from the gmapping default scan topic
  * Expose the scan_topic and use_map_topic parameters in the demo launch files
  * Contributors: Chris Iverach-Brereton

 -- rkreinin <rkreinin@clearpathrobotics.com>  Mon, 24 Aug 2020 04:00:00 -0000

ros-foxy-jackal-navigation (0.7.0-1focal) focal; urgency=high



 -- rkreinin <rkreinin@clearpathrobotics.com>  Mon, 20 Apr 2020 04:00:00 -0000

ros-foxy-jackal-navigation (0.6.4-1focal) focal; urgency=high



 -- rkreinin <rkreinin@clearpathrobotics.com>  Wed, 04 Mar 2020 05:00:00 -0000

ros-foxy-jackal-navigation (0.6.3-1focal) focal; urgency=high



 -- rkreinin <rkreinin@clearpathrobotics.com>  Thu, 18 Jul 2019 04:00:00 -0000

ros-foxy-jackal-navigation (0.6.2-1focal) focal; urgency=high



 -- rkreinin <rkreinin@clearpathrobotics.com>  Thu, 18 Apr 2019 04:00:00 -0000

ros-foxy-jackal-navigation (0.6.1-1focal) focal; urgency=high



 -- rkreinin <rkreinin@clearpathrobotics.com>  Thu, 02 Aug 2018 04:00:00 -0000

ros-foxy-jackal-navigation (0.6.0-1focal) focal; urgency=high



 -- rkreinin <rkreinin@clearpathrobotics.com>  Thu, 12 Apr 2018 04:00:00 -0000

ros-foxy-jackal-navigation (0.5.4-1focal) focal; urgency=high



 -- rkreinin <rkreinin@clearpathrobotics.com>  Thu, 12 Apr 2018 04:00:00 -0000

ros-foxy-jackal-navigation (0.5.3-1focal) focal; urgency=high



 -- rkreinin <rkreinin@clearpathrobotics.com>  Wed, 01 Jun 2016 04:00:00 -0000

ros-foxy-jackal-navigation (0.5.1-1focal) focal; urgency=high



 -- rkreinin <rkreinin@clearpathrobotics.com>  Mon, 02 Feb 2015 05:00:00 -0000

ros-foxy-jackal-navigation (0.5.0-1focal) focal; urgency=high



 -- rkreinin <rkreinin@clearpathrobotics.com>  Tue, 20 Jan 2015 05:00:00 -0000

ros-foxy-jackal-navigation (0.4.2-1focal) focal; urgency=high



 -- rkreinin <rkreinin@clearpathrobotics.com>  Wed, 14 Jan 2015 05:00:00 -0000

ros-foxy-jackal-navigation (0.4.1-1focal) focal; urgency=high



 -- rkreinin <rkreinin@clearpathrobotics.com>  Wed, 07 Jan 2015 05:00:00 -0000

ros-foxy-jackal-navigation (0.4.0-1focal) focal; urgency=high

  * Removed redundant local and global costmaps.
  * Fixed location of non-demo launch files in roslaunch-file-check in CMakeList
  * Moved rviz configurations to jackal_viz.
  * Changed config/ to params/. Moved non-demo launch files to launch/include.
  * Added gps_transform.launch for transforming GPS data to robot's world frame. Also added gps_integration_demo.launch for fusing GPS data with odomtery data. This node generates map->odom transform.
  * Modified AMCL's parameters, map and demo for Jackal.
  * Modified slam_gmapping parameters for Jackal for building a map.
  * Modified costmap and base planner parameters for the navigation without map with obstacle avoidance using laser scanner.
  * Contributors: Mike Purvis, Shokoofeh Pourmehr

 -- rkreinin <rkreinin@clearpathrobotics.com>  Fri, 12 Dec 2014 05:00:00 -0000

ros-foxy-jackal-navigation (0.3.0-1focal) focal; urgency=high



 -- rkreinin <rkreinin@clearpathrobotics.com>  Wed, 10 Sep 2014 20:25:00 -0000

ros-foxy-jackal-navigation (0.2.1-1focal) focal; urgency=high



 -- rkreinin <rkreinin@clearpathrobotics.com>  Wed, 10 Sep 2014 12:54:00 -0000



=== debian/control ===
Source: ros-foxy-jackal-navigation
Section: misc
Priority: optional
Maintainer: rkreinin <rkreinin@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-lint-auto <!nocheck>, ros-foxy-ament-lint-common <!nocheck>, ros-foxy-nav2-bringup, ros-foxy-slam-toolbox, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-jackal-navigation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-nav2-bringup, ros-foxy-slam-toolbox, ros-foxy-ros-workspace
Description: Launch files and code for autonomous navigation of the Jackal

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-jackal-navigation//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
